Cart New Account Login

HomeAbout usProductsSupportForumsBlogCustomer Service


Please accept the use of cookies on our site

At PEmicro we use web browser cookies in order to provide you with an enhanced experience and in order to be able to do things like shopping cart processing and identify you when you login to our website.

Click here to accept



search inside this forum
search inside all forums
New ICDPPCNEXUS version connection issues
Lauren A. Nov 21, 2016 at 01:34 PM (13:34 hours)
Staff: Takao Y.

  • I have a project using a MCP5606S.  I was using an old version of ICDPPCNEXUS software (v3.22) to step-through and debug the code.  I tried the newest starter version available (v6.09) with the same settings and setup and could not connect to the micro.  I get the error "Could not contact P&E Hardware Interface.  Check Power and Connections." Any thoughts as to why the newer version doesn't work?

    Thanks,




    Comments

  • Greetings,

    1) What P&E hardware are you using?

    2) Which operating systems were used for v3.22 and v6.09?

    3) Did you make sure your P&E hardware is detected by your computer? Check your device manager and make sure for Windows you see WinDriver and your P&E hardware item.


    Takao Yamada

    • 1. I'm using the Multilink Universal FX Rev A.  
      2. I have Windows 7 for both.
      3. Yes, and the ICD software detects the pod as well.

  • Greetings,

    Some tips and possible debugging tricks...

    Make sure you are not running any other P&E software when you are trying to connect.

    Try removing the USB cable on the multilink and reconnecting before you start a debug session.

    Are you using any kind of Virtual machine?

    It is very odd to me that the same setup would not work in the newer software. On my end I am not seeing any problems.


    Takao Yamada

  • No virtual machine. I had the same issue with version 5.93 too.

  • Greetings,

    Let us start from square one.

    A) Install new drivers that we have:
    http://www.pemicro.com/downloads/download_file.cfm?download_id=53

    B) Install new firmware updater utility for the multilink universal FX:
    http://www.pemicro.com/downloads/download_file.cfm?download_id=346

    C) Use the firmware updater and update your multilink's firmware to the latest version.


    Takao Yamada

  • That seems to have fixed my issue.  Thanks!

Add comment


   Want to comment? Please login or create a new PEMicro account.







© 2018 P&E Microcomputer Systems Inc.
Website Terms of Use and Sales Agreement